@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@font-face {
  font-family: 'airstrikeregular';
  src: url('../../assets/airstrike-webfont.woff2') format('woff2'),
       url('../../assets/airstrike-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

img {
  object-fit: cover;
}

.logo {
  font-family: 'airstrikeregular';
}

.toolbar {
  display: flex;
  justify-content: space-between;
}

.toolbar > * {
  padding: .5em;
  font-size: 2em;
}

.center-button {
  font-size: 4em;
}

.menu {
  --width: 75vw;
}

ion-menu {
  --width: 100vw;
}

.menubar {
  display: flex;
  justify-content: space-between;
}

.menubar > ion-icon {
  padding: .5em;
  font-size: 2em;
  z-index: 9;
  color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.54);
}

.menubar > ion-button {
  z-index: 9;
  margin: 1em;
}

ion-item {
  pointer-events: auto !important;
}

.menu-icon {
  margin-right: 1em;
}

.show-icon {
  pointer-events: auto !important;
}

img {
  border-radius: 100%;
  height: 32px;
  width: 32px;
}

#menu-content {
  height: 100vh !important;
  pointer-events: all;
}

.button-align {
  text-align: center !important;
  width: 100%;
}

.button-wrapper {
  position:fixed;
  width: 100%;
  right:0;
  bottom:0;
}

.profileWrapper {
  width: 100%;
  text-align: center;
  position: relative;
}

.toolbar-profile {
  display: flex;
  justify-content: space-between;
  margin: .5rem;
  * {
    font-size: 2rem;
  }
}

.social-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  .social-title {
    font-size: 1.2rem;
    margin: .2rem;
  }
  .s1 {
    text-align: center;
    div {
      width: calc(50vw - 2rem);
      height: calc(50vw - 2rem);
      padding: 2.5%;
      background: linear-gradient(136.09deg, #81E7F4 0%, #C6FB71 101.98%);
      border-radius: 45px;
      display: flex;
      flex-wrap: wrap;
      align-content: center;
      justify-content: center;
      img {
        border-radius: 28px;
        width: 45%;
        height: 45%;
        padding: 2.5%;
      }
    }
  }
  .s2 {
    text-align: center;
    div {
      width: calc(50vw - 2rem);
      height: calc(50vw - 2rem);
      padding: 2.5%;
      background: linear-gradient(292.88deg, #D5A1FD -4.71%, #FB7171 100%);
      border-radius: 45px;
      display: flex;
      flex-wrap: wrap;
      align-content: center;
      justify-content: center;
      img {
        border-radius: 28px;
        width: 45%;
        height: 45%;
        padding: 2.5%;
      }
    }
  }
  .s3 {
    margin-top: 2rem;
    width: calc(100vw - 3rem);
    height: auto;
    text-align: center;
    .wrapper {
      width: 100%;
      height: 50vw;
      background: linear-gradient(2.25deg, #81F4ED -35.65%, #7C71FB 121.22%);
      border-radius: 26px;
      padding: .8rem;
    }
  }
}

.comment {
  display: flex;
  background: var(--ion-card-background, white);
  border-radius: 12px;
  width: 97%;
  margin: 1.5%;
  padding: 1rem;
  div:first-child {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    img {
      margin-right: 0.5rem;
      width: 3.5rem;
      height: 3.5rem;
    }
  }
  div:last-child {
    position: relative;
    width: 80%;
    text-align: left;
    p {
      margin: 0.3rem;
      margin-left: 0;
    }
    div {
      font-size: .8em;
      color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.75);
      width: 100%;
      height: 1rem;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
    time {
      position: absolute;
      right: .5rem;
      top: .4rem;
      color: #7C71FB;
    }
  }
}

.profile-name {
  text-align: center;
  margin-top: 1.5rem;
  span:first-child {
    font-size: 1.5rem;
  }
  span:last-child {
    font-size: .8rem;
    color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.5);
  }
}

.profileImage {
  border-radius: 100%;
  position: absolute;
  box-shadow: 0px 2px 7px 2px rgba(0, 0, 0, 0.46);
  top: 104px;
  height: 170px;
  width: 170px;
  z-index: 2;
  left: 50%;
  transform: translate(-50%);
}

.profileImage:hover,
.noProfileImage:hover {
  transition: .4s ease;
  opacity: .75;
  cursor: pointer;
}

ion-toolbar {
  height: 4em !important;
}

.bgProfile {
  width: 100%;
  object-fit: cover;
  height: 220px;
  border-radius: 0px;
  border-bottom-left-radius: 25px;
  border-bottom-right-radius: 25px;
}

.title-order {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: .5em;
}

.title-order > span {
  display: flex;
  align-items: center;
  color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 1);
}

.title-order > span:hover {
  text-decoration: underline;
  transition: .5s ease-in-out;
  cursor: pointer;
}

.title-order > span > ion-icon {
  margin-left: .5em;
}

.center-text {
  text-align: center;
  margin: 2em;
  transform: translateY(50%);
}

.token-align {
  text-align: center;
}

.token-align > input {
  margin-bottom: 1em;
  text-align: center;
  width: 6em;
  font-size: 2em;
  height: 2em;
  font-family: math;
  letter-spacing: 0.25em;
  border: none;
  background: transparent;
  border-bottom: 1px solid grey;
}

.token-align > input:focus {
  outline: none;
}

.login-box {
  text-align: center;
  margin: 10%;
  font-family: 'Roboto', sans-serif;
}

.login-input {
  font-size: 1.25rem;
  margin-top: 1rem;
  color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.75);
  ion-input {
    border-bottom: 1px solid rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.5);
  }
}

.login-button {
  background: linear-gradient(130.43deg, #FD6AEE -15.88%, #6F7ADD 69.02%);
  border-radius: 54px;
  font-size: 1.1rem;
  padding: .7rem;
  width: 128px;
  margin: 2rem;
  margin-top: 1.5rem;
}

.social-button {
  display: flex;
  margin-bottom: 1.5rem;
  margin-top: 0;
  padding: 0.5rem;
  color: #545454;
  background-color: white;
  box-shadow: -5px -1px 11px 0px rgb(0 0 0 / 5%);
  border-radius: 25px;
  flex-direction: row;
  align-items: center;
  img {
    width: 10%;
  }
  span {
    width: 80%;
  }
}


.gg {
  background: linear-gradient(238.71deg, #FFFFFF 48.96%, #6B8CCF 151.09%);
}

.tt {
  background: linear-gradient(238.71deg, #1DA1F2 48.96%, #2D4F93 151.09%);
  color: white;
}

.fb {
  background: linear-gradient(238.71deg, #4267B2 48.96%, #2D4F93 151.09%);
  color: white;
}

.divider {
  position: relative;
  margin-top: 3rem;
  margin-bottom: 3rem;
  hr {
    background: white;
  }
  span {
    left: calc(50% - .75rem);
    top: -1.15rem;
    position: absolute;
    text-align: center;
    background: var(--background);
    padding: 0.5rem;
  }
}

.top-text {
  padding-bottom: 2rem;
}

.bottom-text {
  padding-top: 1rem;
}
